package com.chinaitop.depot.intelligent.basicdata.model;

public class TLqinfo {
    private String id;

    private String orgId;

    private String vdevcode;

    private String vdevname;

    private Integer idevtdh;

    private String sitecode;

    private String vcfcode;

    private Integer scable;

    private Integer ecable;

    private Integer row;

    private Integer col;

    private Integer layer;

    private Integer isequence;

    private Integer irevflag;

    private Integer grainoil;

    private String remark;

    private Integer delFlag;

    /**
     * 粮情油情信息id 32位
     * @return id 粮情油情信息id 32位
     */
    public String getId() {
        return id;
    }

    /**
     * 粮情油情信息id 32位
     * @param id 粮情油情信息id 32位
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房id
     * @return org_id 库房id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房id
     * @param orgId 库房id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 设备编码
     * @return vdevcode 设备编码
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编码
     * @param vdevcode 设备编码
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 设备名称
     * @return vdevname 设备名称
     */
    public String getVdevname() {
        return vdevname;
    }

    /**
     * 设备名称
     * @param vdevname 设备名称
     */
    public void setVdevname(String vdevname) {
        this.vdevname = vdevname == null ? null : vdevname.trim();
    }

    /**
     * 通道号
     * @return idevtdh 通道号
     */
    public Integer getIdevtdh() {
        return idevtdh;
    }

    /**
     * 通道号
     * @param idevtdh 通道号
     */
    public void setIdevtdh(Integer idevtdh) {
        this.idevtdh = idevtdh;
    }

    /**
     * 站点编码
     * @return sitecode 站点编码
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编码
     * @param sitecode 站点编码
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 仓房编码
     * @return vcfcode 仓房编码
     */
    public String getVcfcode() {
        return vcfcode;
    }

    /**
     * 仓房编码
     * @param vcfcode 仓房编码
     */
    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    /**
     * 起始电缆号
     * @return scable 起始电缆号
     */
    public Integer getScable() {
        return scable;
    }

    /**
     * 起始电缆号
     * @param scable 起始电缆号
     */
    public void setScable(Integer scable) {
        this.scable = scable;
    }

    /**
     * 结束电缆号
     * @return ecable 结束电缆号
     */
    public Integer getEcable() {
        return ecable;
    }

    /**
     * 结束电缆号
     * @param ecable 结束电缆号
     */
    public void setEcable(Integer ecable) {
        this.ecable = ecable;
    }

    /**
     * 行
     * @return row 行
     */
    public Integer getRow() {
        return row;
    }

    /**
     * 行
     * @param row 行
     */
    public void setRow(Integer row) {
        this.row = row;
    }

    /**
     * 列
     * @return col 列
     */
    public Integer getCol() {
        return col;
    }

    /**
     * 列
     * @param col 列
     */
    public void setCol(Integer col) {
        this.col = col;
    }

    /**
     * 层
     * @return layer 层
     */
    public Integer getLayer() {
        return layer;
    }

    /**
     * 层
     * @param layer 层
     */
    public void setLayer(Integer layer) {
        this.layer = layer;
    }

    /**
     * 方位 0:从上到下，从左到右；1：从上到下，从右到左；2：从下到上，从左到右；3：从下到上，从右到左
     * @return isequence 方位 0:从上到下，从左到右；1：从上到下，从右到左；2：从下到上，从左到右；3：从下到上，从右到左
     */
    public Integer getIsequence() {
        return isequence;
    }

    /**
     * 方位 0:从上到下，从左到右；1：从上到下，从右到左；2：从下到上，从左到右；3：从下到上，从右到左
     * @param isequence 方位 0:从上到下，从左到右；1：从上到下，从右到左；2：从下到上，从左到右；3：从下到上，从右到左
     */
    public void setIsequence(Integer isequence) {
        this.isequence = isequence;
    }

    /**
     * 是否反置 0:不反;1:反
     * @return irevflag 是否反置 0:不反;1:反
     */
    public Integer getIrevflag() {
        return irevflag;
    }

    /**
     * 是否反置 0:不反;1:反
     * @param irevflag 是否反置 0:不反;1:反
     */
    public void setIrevflag(Integer irevflag) {
        this.irevflag = irevflag;
    }

    /**
     * 粮情/油情 0:粮情;1:油情
     * @return grainoil 粮情/油情 0:粮情;1:油情
     */
    public Integer getGrainoil() {
        return grainoil;
    }

    /**
     * 粮情/油情 0:粮情;1:油情
     * @param grainoil 粮情/油情 0:粮情;1:油情
     */
    public void setGrainoil(Integer grainoil) {
        this.grainoil = grainoil;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}